%define oname	gmailfeed

Name:		plasma-applet-gmailfeed
Version:	2.0
Release:	%mkrel 1
Summary:	Plasma plasmoid showing your Gmail feed
Group:		Graphical desktop/KDE
License:	GPLv3+
Url:		https://github.com/anthon38/gmailfeed
Source0:	https://github.com/anthon38/gmailfeed/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Quick)

BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KAccounts6)
BuildRequires:	intltool

%description
Gmail Feed is a plasmoid for Plasma. It provides a list of your
unread emails from your Gmail inbox. You also get notified when
you receive new messages.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_kf6_qmldir}/org/kde/plasma/private/%{oname}/
%{_kf6_knotificationsdir}/%{oname}.notifyrc
%{_kf6_datadir}/plasma/plasmoids/org.kde.plasma.%{oname}/
%{_kf6_datadir}/accounts/providers/kde/google-gmail.provider
%{_kf6_datadir}/accounts/services/kde/gmail-feed.service
%{_kf6_metainfodir}/org.kde.plasma.%{oname}.appdata.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/%{oname}.svgz


%changelog
* Sat May 11 2024 daviddavid <daviddavid> 2.0-1.mga10
+ Revision: 2063716
- new version: 2.0
- switch to Qt6/KF6

* Wed Nov 30 2022 daviddavid <daviddavid> 1.2-1.mga9
+ Revision: 1913508
- new version: 1.2

* Thu Dec 17 2020 umeabot <umeabot> 1.1-6.mga9
+ Revision: 1659387
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 1.1-5.mga8
+ Revision: 1588538
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 1.1-4.mga8
+ Revision: 1524876
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.1-3.mga7
+ Revision: 1383952
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.1-2.mga7
+ Revision: 1300299
- Mageia 7 Mass Rebuild

* Thu Mar 22 2018 daviddavid <daviddavid> 1.1-1.mga7
+ Revision: 1211219
- initial package plasma-applet-gmailfeed

